package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.TTxRecord;

import java.util.List;


/**
 * 提现表 服务类
 */
public interface TTxRecordService extends IService<TTxRecord> {

    TTxRecord applicationCash(TTxRecord record);

    Object auditing(TTxRecord record);

    Page<TTxRecord> page(Page<TTxRecord> page, TTxRecord txRecord, Long deptId);

    List<TTxRecord> tTxRecordList(String openId);
}
